<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>make_microreact_metadata — make_microreact_metadata • ghruR</title>


<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
<!-- Bootstrap -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous" />

<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script>

<!-- bootstrap-toc -->
<link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>




<meta property="og:title" content="make_microreact_metadata — make_microreact_metadata" />
<meta property="og:description" content="Makes a microreact compatible dataframe combining epi_data, ast_data, qc_and_assembly_data,
mlst_data, acquired_amr_data and point_amr_data" />




<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body data-spy="scroll" data-target="#toc">
    <div class="container template-reference-topic">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
    <li>
      <a href="../articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="../articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header">
    <h1>make_microreact_metadata</h1>
    
    <div class="hidden name"><code>make_microreact_metadata.Rd</code></div>
    </div>

    <div class="ref-description">
    <p>Makes a microreact compatible dataframe combining epi_data, ast_data, qc_and_assembly_data,
mlst_data, acquired_amr_data and point_amr_data</p>
    </div>

    <pre class="usage"><span class='fu'>make_microreact_metadata</span><span class='op'>(</span>
  <span class='va'>epi_data</span>,
  <span class='va'>ast_data</span>,
  <span class='va'>qc_and_assembly_data</span>,
  <span class='va'>mlst_data</span>,
  <span class='va'>acquired_amr_data</span>,
  <span class='va'>point_amr_data</span>,
  sample_ids <span class='op'>=</span> <span class='cn'>NULL</span>,
  present_colour <span class='op'>=</span> <span class='st'>"#ff6b6b"</span>,
  absent_colour <span class='op'>=</span> <span class='st'>"#efefef"</span>,
  max_number_genes <span class='op'>=</span> <span class='fl'>5</span>,
  epi_data_columns <span class='op'>=</span> <span class='cn'>NULL</span>,
  ast_data_columns <span class='op'>=</span> <span class='fu'><a href='https://rdrr.io/r/base/c.html'>c</a></span><span class='op'>(</span><span class='st'>"Sample id"</span>, <span class='st'>"AST profile"</span><span class='op'>)</span>,
  qc_and_assembly_data_columns <span class='op'>=</span> <span class='fu'><a href='https://rdrr.io/r/base/c.html'>c</a></span><span class='op'>(</span><span class='st'>"Sample id"</span>, <span class='st'>"Bactinspector species"</span>,
    <span class='st'>"Quast num contigs"</span>, <span class='st'>"Quast N50"</span>, <span class='st'>"Quast Total length"</span><span class='op'>)</span>,
  mlst_data_columns <span class='op'>=</span> <span class='fu'><a href='https://rdrr.io/r/base/c.html'>c</a></span><span class='op'>(</span><span class='st'>"Sample id"</span>, <span class='st'>"ST"</span>, <span class='st'>"profile"</span><span class='op'>)</span>
<span class='op'>)</span></pre>

    <h2 class="hasAnchor" id="arguments"><a class="anchor" href="#arguments"></a>Arguments</h2>
    <table class="ref-arguments">
    <colgroup><col class="name" /><col class="desc" /></colgroup>
    <tr>
      <th>epi_data</th>
      <td><p>A dataframe containing epidemiological data where 'Sample id' is the key</p></td>
    </tr>
    <tr>
      <th>ast_data</th>
      <td><p>A dataframe containing antimicrobial susceptibility data where 'Sample id' is the key</p></td>
    </tr>
    <tr>
      <th>qc_and_assembly_data</th>
      <td><p>A dataframe containing the outputs from the qc and assembly pipeline where 'Sample id' is the key</p></td>
    </tr>
    <tr>
      <th>mlst_data</th>
      <td><p>A dataframe containing the outputs from the MLST pipeline where 'Sample id' is the key</p></td>
    </tr>
    <tr>
      <th>acquired_amr_data</th>
      <td><p>A dataframe containing the acquired gene output from the AMR prediction pipeline where 'Sample id' is the key</p></td>
    </tr>
    <tr>
      <th>point_amr_data</th>
      <td><p>A dataframe containing the point gene output from the AMR prediction pipeline where 'Sample id' is the key</p></td>
    </tr>
    <tr>
      <th>sample_ids</th>
      <td><p>Default is NULL. If a last is given only those rows where 'Sample id' matches one of the ids specified in the list will be returned</p></td>
    </tr>
    <tr>
      <th>present_colour</th>
      <td><p>The colour to use in Microreact when a locus is present</p></td>
    </tr>
    <tr>
      <th>absent_colour</th>
      <td><p>The colour to use in Microreact when a locus is absent</p></td>
    </tr>
    <tr>
      <th>max_number_genes</th>
      <td><p>The maximum number of genes names in a column label before a common prefix is taken</p></td>
    </tr>
    <tr>
      <th>epi_data_columns</th>
      <td><p>The columns to be used in the output from the epidemiological data
Defaults are 'Sample id', 'Alternative sample id', 'Year', 'Month', 'Day', 'Country', 'Location', 'Latitude', 'Longitude'</p></td>
    </tr>
    <tr>
      <th>ast_data_columns</th>
      <td><p>The columns to be used in the output from the antimicrobial susceptibility data
Defaults are 'Sample id', 'AST profile'</p></td>
    </tr>
    <tr>
      <th>qc_and_assembly_data_columns</th>
      <td><p>The columns to be used in the output from the qc and assembly pipeline outputs
Defaults are 'Sample id', 'Bactinspector species', 'Quast num contigs', 'Quast N50', 'Quast Total length'</p></td>
    </tr>
    <tr>
      <th>mlst_data_columns</th>
      <td><p>The columns to be used in the output from the MLST pipeline outpurs
Defaults are 'Sample id', 'ST', 'profile'</p></td>
    </tr>
    </table>

    <h2 class="hasAnchor" id="value"><a class="anchor" href="#value"></a>Value</h2>

    <p>A dataframe combining all the data and where the 'Sample id' column is renamed to 'id' to make it compatible with microreact</p>

  </div>
  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">
    <nav id="toc" data-toggle="toc" class="sticky-top">
      <h2 data-toc-skip>Contents</h2>
    </nav>
  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


